class Locked implements IDoor {
  Room next;
  String key;
  Locked(Room next, String key) {
    this.next = next;
    this.key = key;
  }
  
  public IPath escapePath(Person player) {
    if (player.hasKey(this.key))
      return this.next.escapePath(player);
    else
      return new Fail();
  }
}
